Summary: GNOME network information applet
Name: gnome-netstatus
Version: 2.6.2.1
Release: 1mdk
License: GPL
Group: Graphical desktop/GNOME
URL: http://www.gnome.org/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libpanel-applet-devel
BuildRequires: libglade2.0-devel
BuildRequires: gtk+2-devel >= 2.3.1
BuildRequires:	scrollkeeper
#gw for broken intltool:
BuildRequires: perl-XML-Parser

%description
This package contains an applet which provides information
about a network interface on your panel.

%prep
%setup -q

%build

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std
%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/netstatus.schemas > /dev/null
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi

%preun
if [ "$1" = "0" ] ; then
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/netstatus.schemas > /dev/null
fi

%postun
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README TODO ChangeLog AUTHORS NEWS
%{_sysconfdir}/gconf/schemas/*
%{_libdir}/gnome-netstatus-applet
%{_libdir}/bonobo/servers/*
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/gnome-netstatus
%{_datadir}/omf/%name
%_datadir/icons/hicolor/48x48/apps/gnome-netstatus*
%{_datadir}/pixmaps/*

%changelog
* Mon Jul 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.2.1-1mdk
- drop yelp stuff
- New release 2.6.2.1

* Tue Jun 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.2-1mdk
- reenable libtoolize
- New release 2.6.2

* Tue Apr 20 2004 Goetz Waschk <goetz@mandrakesoft.com> 2.6.1-1mdk
- New release 2.6.1

* Wed Apr  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.0.1-1mdk
- fix file list
- add help
- requires new gtk
- new version

* Sun Feb  1 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.13-2mdk
- fix buildrequires

* Thu Jan 15 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.13-1mdk
- Release 0.13

* Fri Dec 05 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12-1mdk
- Release 0.12

* Tue Jul 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.11-2mdk
- don't deinstall schemas on update

* Fri Jul 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.11-1mdk
- First mandrake package


